Subject: Re: Mushroom references
From: [email-masked] (BrianMc)
Date: 11 Aug 1994 00:22:10 -0400
Newsgroups: bionet.mycology

"Mushrooms Demystified" by David Arora is a good popular field guide. 
Arora keys out over 2000 species.  Most of his work relates to the Western
US, specifically California, but he also includes several Eastern species.